package publisher

import (
	"github.com/vmware/vmware-go-kcl/logger"
)

// LogPublisher logs the records.
type LogPublisher struct {
	Log logger.Logger
}

// Publish logs the record received from publisher
func (p *LogPublisher) Publish(batches <-chan *LctBatch) {
	for b := range batches {
		for _, lct := range b.DeviceDataList {
			p.Log.Infof("Received message for DeviceID %v at time %v", lct.DeviceId, lct.LastContactTimestamp)
		}
	}
}
